from microgp4 import microgp4
from microgp4.ctg.parameters.var_type import VarType


class ClassSelf(VarType):

    def __init__(self, node_id, value=None):
        VarType.__init__(self, node_id, value)
        self._value = node_id

    def mutate(self, strength):
        pass

    def __str__(self):
        return self._node_id

    @staticmethod
    def check_value(node_id, value):
        return value is node_id

    @staticmethod
    def generate_new_value(node_id):
        return microgp4.get_solution_by_node_id(node_id)[node_id]
