#include <stdio.h>
#include <stdlib.h>
#include "function.h"

#define N 512
#define HASH_SIZE N


unsigned int my_random();

int main(int argc, char *argv[]) {

    unsigned int data[N];
    int hash_keys[HASH_SIZE] = {0};
    int collision = 0;

    srand(42);

    for (int i = 0; i < N; i++) {
        unsigned int d = data[i] = my_random();
        unsigned int hash = perfect_hash_function(d);
        unsigned int hash_index = hash % HASH_SIZE;
        hash_keys[hash_index]++;
        if (hash_keys[hash_index] > 1) {
            collision++;
        }
    }

    printf("%d\n", collision);


    return 0;
}

unsigned int my_random() {

    return (unsigned int) (rand() * rand());
}