import os

from microgp4.json.json import JsonReader
from microgp4.microgp4 import create_solution

json_folder_path = os.path.join("..", "json", "base_functionality")
json_path = os.path.join(json_folder_path, "sections.json")
result_path = os.path.join(json_folder_path, "solution.s")
result_cloned_path = os.path.join(json_folder_path, "solution_cloned.s")

jr = JsonReader(json_path)

m, s = jr.build_constraints()

ma = m

s_list = create_solution(json_path)
ctg = s_list[0]
ctg_cloned = ctg.clone_solution()
ctg.dump_solution(path=result_path)
ctg_cloned.dump_solution(path=result_cloned_path)

while not ctg.add_node():
    pass

print(ctg.check())
